Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basemanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basemanagepage.pt	(revision 7665)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/basemanagepage.pt	(revision 7669)
@@ -15,5 +15,5 @@
               <td class="fieldname">
                 <span tal:condition="widget/required">*</span>
-                <span i18n:translate="" tal:content="widget/label">label</span>:
+                <span tal:content="widget/label">label</span>:
               </td>
               <td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/changepw.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/changepw.pt	(revision 7665)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/changepw.pt	(revision 7669)
@@ -8,5 +8,5 @@
           <td class="fieldname">
               <span tal:condition="widget/required">*</span>
-              <span i18n:translate="" tal:content="widget/label">label</span>:
+              <span tal:content="widget/label">label</span>:
           </td>
           <td>
@@ -24,7 +24,6 @@
       </tal:block>
       <tr tal:condition="view/captcha_code">
-        <td i18n:translate="">
-          Please solve the captcha<br />
-          to prevent misuse of this service:
+        <td i18n:translate="solve_captcha">
+          Please solve the captcha<br />to prevent misuse of this service:
         </td>
         <td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/clearanceeditpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/clearanceeditpage.pt	(revision 7665)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/clearanceeditpage.pt	(revision 7669)
@@ -14,5 +14,5 @@
               <td class="fieldname">
                   <span tal:condition="widget/required">*</span>
-                  <span i18n:translate="" tal:content="widget/label">label</span>:
+                  <span tal:content="widget/label">label</span>:
               </td>
               <td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketmanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketmanagepage.pt	(revision 7665)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/courseticketmanagepage.pt	(revision 7669)
@@ -56,5 +56,5 @@
           <td class="fieldname">
               <span tal:condition="widget/required">*</span>
-              <span i18n:translate="" tal:content="widget/label">label</span>:
+              <span tal:content="widget/label">label</span>:
           </td>
           <td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/fileupload.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/fileupload.pt	(revision 7665)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/fileupload.pt	(revision 7669)
@@ -24,8 +24,8 @@
                   name python:('upload_%s' % viewlet.input_name)"
                value="Upload new file" class="btn primary" />
-      <span i18n:translate="">
+      <span i18n:translate="max_file_size">
         Max. file size:
-        <span tal:replace="viewlet/max_upload_size">10 KB</span>
       </span>
+      <span tal:replace="viewlet/max_upload_size">10 KB</span>
     </span>
     <br />
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/imageupload.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/imageupload.pt	(revision 7665)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/imageupload.pt	(revision 7669)
@@ -18,8 +18,8 @@
                   name python:('upload_%s' % viewlet.input_name)"
                value="Upload" class="btn primary" />
-      <span i18n:translate="">
+      <span i18n:translate="max_file_size">
         Max. file size:
-        <span tal:replace="viewlet/max_upload_size">10 KB</span>
       </span>
+      <span tal:replace="viewlet/max_upload_size">10 KB</span>
     </span>
   </td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursemanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursemanagepage.pt	(revision 7665)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursemanagepage.pt	(revision 7669)
@@ -15,5 +15,5 @@
           <td class="fieldname">
             <span class="required" tal:condition="widget/required">*</span>
-            <span i18n:translate="" tal:content="widget/label">label</span>:
+            <span tal:content="widget/label">label</span>:
           </td>
           <td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursepage.pt	(revision 7665)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studycoursepage.pt	(revision 7669)
@@ -6,5 +6,5 @@
     <tr>
       <td class="filedname">
-        <span i18n:translate="" tal:content="widget/label">label</span>:
+        <span tal:content="widget/label">label</span>:
       </td>
       <td tal:on-error="default">
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelmanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelmanagepage.pt	(revision 7665)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelmanagepage.pt	(revision 7669)
@@ -15,5 +15,5 @@
           <td class="fieldname">
             <span class="required" tal:condition="widget/required">*</span>
-            <span i18n:translate="" tal:content="widget/label">label</span>:
+            <span tal:content="widget/label">label</span>:
           </td>
           <td>
Index: main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelpage.pt	(revision 7665)
+++ main/waeup.sirp/trunk/src/waeup/sirp/students/browser_templates/studylevelpage.pt	(revision 7669)
@@ -6,5 +6,5 @@
     <tr>
       <td class="fieldname">
-        <span i18n:translate="" tal:content="widget/label">label</span>:
+        <span tal:content="widget/label">label</span>:
       </td>
       <td tal:on-error="default">
